CF De;	* Effective Propagator object.
CF v;	* Vertex object.
CF GR;	* GR object.

CF i;	* 1/(square inverse). With two mom arguments of form (u,-v) - expand in powers of the second.

CF box;	* The usual definition

* ******************************* Dimensionality **********************************

S ep;	* Dimension is 4 - 2*ep
S em;	* Euler-Mascheroni constant
S OmegaD;
S AngD;
S [d];
D [d];

* ******************************* Vectors, Indices and Tensors ******************

V k,p,l;
I mu,nu,al,be,ga,de,si,rh,ta;
T t,u;

* mu and nu are external indices; all others are internal

index al=0;
index be=0;
index ga=0;
index de=0;
index rh=0;
index si=0;
index ta=0;

* ******************************** Various Symbols ******************************
S pw;	* Tag for pseudo wine
S ps,ng;* Tag for derivatives of GRs: for GR carrying momentum k, ps / ng --> deriv wrt +-k
S NF;	* Tags for non-factorizable integrals
S K,L;	* Counting parameters for degree of IR divergence in k and l integrals
S X;	* local counter for instances of i(l-k)
S x,y;	* i^-1
S xep;	* i^ep

* ******************************** Feynman Parameterisation **********************

S a,b;	* Feynman parameters.
S den;
S den1;	* Generic denominator: used at intermediate stages of Feynman integration
S den2;

* ******************************** Generic Counters ******************************

S n,m,r;

* ******************************** Diagrams **************************************





L [264b.1] = -De(k)*De(k,-p)*De(l-k)*De(l)*De(l,-p)*
		(
           	( v(k,be,ta,rh) + v(l,rh,be,ta) + v(p,ta,rh,be) )*
		( v(p,si,mu,rh) + v(k,mu,rh,si) )*
		( v(k,al,si,ta) )*2*
		( v(p,al,be,nu) + v(l,nu,al,be) )
		);


* ******************************** Program ***************************************

multiply (4*ep);



* Expand out Gauge Remainders, Effective Propagators and Vertices

#include GR.frm
#include effprops.frm
#include vertices.frm

#include dummy_sum.frm
id i(l-k) = i(l-k)*NF;



#call expand(l,p)
#call expand(k,p)

#call order(p,2)

id l.l*i(l)=1;
id k.k*i(k)=1;
.sort



if (match(NF));
	#include organise.frm
	#include Feynman.frm
else;
	#call averageD(l);
	id l.l*i(l) = 1;
	#call Integral(l,y);
endif;
id NF=1;

#call averageD(k)
id k.k*i(k) = 1;
id l.l*i(l) = 1;

id p.p*d_(mu,nu) = box(p,mu,nu) + p(mu)*p(nu);
id p.p*i(p) = 1;
.sort


#call Integral(k,x)


id OmegaD = 2*AngD*invfac_(1-ep);
#include gammasD.frm
#include dimensionD.frm


if (count(ep,1)>0) discard;

B ep;
P +s;
.end
